{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":497,"path":"api-reference/rest-apis/contact-api.md","title":"Contact API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Contact API\n\nThe Contact API provides endpoints that enable you to retrieve and update Customer Service Management \\(CSM\\) contact records.\n\nIn addition, you can generate new social media profile records when creating a contact.\n\nThe Contact API requires the Customer Service plugin \\(com.sn\\_customerservice\\) and is provided within the `now` namespace.\n\nUsers need the csm\\_ws\\_integration role for full API access.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Contact - GET /now/contact\n\nRetrieves a specified set of Customer Service Management \\(CSM\\) contacts.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/contact`\n\nDefault URL: `/api/now/contact`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_limit\n\n</td><td id=\"sysparm-limit-entry\">\n\nMaximum number of records to return. For requests that exceed this number of records, use the **sysparm\\_offset** parameter to paginate record retrieval.\n\nIn the response, the boolean parameter **hasMore** is returned. It indicates whether there are more records to return that meet the filter criteria.\n\nData type: Number\n\nDefault: 10\n\n</td></tr><tr><td>\n\nsysparm\\_offset\n\n</td><td id=\"sysparm-offset-entry\">\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.\n\nFor example, the first time you call this endpoint, **sysparm\\_offset** is set to \"0\". To simply page through all available records, use `sysparm_offset=sysparm_offset+sysparm_limit`, until you reach the end of all records.\n\nDo not pass a negative number in the **sysparm\\_offset** parameter.\n\nData type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\nsysparm\\_query\n\n</td><td id=\"sysparm-query-entry\">\n\nEncoded query used to filter the result set.For example:\n\n`sysparm_query=caller_id=javascript:gs.getUserID()^active=true`\n\nThe encoded query supports order by. To sort responses based on certain fields, use the ORDERBY and ORDERBYDESC clauses in **sysparm\\_query**. For example, `sysparm_query=active=true^ORDERBYnumber^ORDERBYDESCcategory` filters all active records and orders the results in ascending order by number first, and then in descending order by category.\n\nIf part of the query is invalid, such as by specifying an invalid field name, the instance ignores the invalid part. It then returns rows using only the valid portion of the query. You can control this behavior using the property **glide.invalid\\_query.returns\\_no\\_rows**. Set this property to true to return no rows on an invalid query.\n\n**Note:** The **glide.invalid\\_query.returns\\_no\\_rows** property controls the behavior of all queries across the instance, such as in lists, scripts \\(GlideRecord.query\\(\\)\\), and web service APIs.\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\nThe endpoint may return the following JSON or XML elements in the response body. In addition to the list of elements defined below \\(which define the elements in a base system\\), the endpoint also returns any custom fields added to the Contact \\[customer\\_contact\\] table. For additional information on these elements, refer to your specific table definition \\[**System Definition** &gt; **Tables**\\].\n\n<table><thead><tr><th>\n\nElement\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naccount\n\n</td><td id=\"contacttable-account-enrty\">\n\nSys\\_id of the account record to which the contact is associated.Data type: String\n\nTable: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\nactive\n\n</td><td id=\"contacttable-active-entry\">\n\nFlag that indicates whether the contact is active within the system.Possible values:\n\n-   true: Contact is active\n-   false: Contact is inactive\n\nData type: Boolean\n\nDefault: true\n\n</td></tr><tr><td>\n\nagent\\_status\n\n</td><td id=\"contacttable-agent_status-entry\">\n\nStatus of the agent.Possible values:\n\n-   Off work\n-   On break\n-   On route\n-   On site\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nbuilding\n\n</td><td id=\"contacttable-building-entry\">\n\nSys\\_id of the record that describes the building in which the contact resides.Data type: String\n\nTable: Building \\[cmn\\_building\\]\n\n</td></tr><tr><td>\n\ncalendar\\_integration\n\n</td><td id=\"contacttable-calendar_integration-entry\">\n\nCalendar application that the contact uses.1: Outlook\n\nData type: Number \\(Integer\\)\n\nDefault: 1\n\n</td></tr><tr><td>\n\ncity\n\n</td><td id=\"contacttable-city-entry\">\n\nCity in which the contact resides.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncompany\n\n</td><td id=\"contacttable-company-entry\">\n\nSys\\_id of the company record to which the contact is associated.Data type: String\n\nTable: Company \\[core\\_company\\]\n\n</td></tr><tr><td>\n\ncost\\_center\n\n</td><td id=\"contacttable-cost_center-entry\">\n\nSys\\_id of the cost center associated with the contact.Data type: String\n\nTable: Cost Center \\[cmn\\_cost\\_center\\]\n\n</td></tr><tr><td>\n\ncountry\n\n</td><td id=\"contacttable-country-entry\">\n\nCountry code of the country in which the contact resides.Data type: String\n\nMaximum length: 3\n\n</td></tr><tr><td>\n\ndate\\_format\n\n</td><td id=\"contacttable-date_format-entry\">\n\nFormat in which to display dates to contacts.Valid values:\n\n-   dd/mm/yyyy\n-   dd-mm-yyyy\n-   dd.mm.yyyy\n-   mm-dd-yyyy\n-   yyyy-mm-dd\n\nData type: String\n\nMaximum length: 40\n\nDefault: blank \\(system date format\\)\n\n</td></tr><tr><td>\n\ndefault\\_perspective\n\n</td><td id=\"contacttable-default_perspective-entry\">\n\nSys\\_id of the default perspective for the contact.Data type: String\n\nTable: Menu List \\[sys\\_perspective\\]\n\n</td></tr><tr><td>\n\ndepartment\n\n</td><td id=\"contacttable-department-entry\">\n\nSys\\_id of the department associated with the contact.Data type: String\n\nTable: Department \\[cmn\\_department\\]\n\n</td></tr><tr><td>\n\nedu\\_status\n\n</td><td id=\"contacttable-edu_status-entry\">\n\nEducation status of the associated contact.Data type: String\n\nMaximum length: 40\n\nDefault: faculty\n\n</td></tr><tr><td>\n\nemail\n\n</td><td id=\"contacttable-email-entry\">\n\nContact email address.Data type: String\n\n</td></tr><tr><td>\n\nemployee\\_number\n\n</td><td id=\"contacttable-employee_number-entry\">\n\nContact employee number.Data type: String\n\n</td></tr><tr><td>\n\nenable\\_multifactor\\_authn\n\n</td><td id=\"contacttable-enable_multifactor_authn-entry\">\n\nFlag that indicates whether multifactor authorization is required for the contact to log in to the service portal.Possible values:\n\n-   true: Multifactor authorization enabled\n-   false: Multifactor authorization disabled\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nfailed\\_attempts\n\n</td><td id=\"contacttable-failed_attempts-entry\">\n\nNumber of failed log in attempts.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nfirst\\_name\n\n</td><td id=\"contacttable-first_name-entry\">\n\nContact first name.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\ngender\n\n</td><td id=\"contacttable-gender-entry\">\n\nContact gender.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ngeolocation\\_tracked\n\n</td><td id=\"contacttable-geolocation_tracked-entry\">\n\nFlag that indicates whether the contact location is obtained through geotracking.Possible values:\n\n-   true: Contact location obtained through geotracking\n-   false: Contact location not obtained through geotracking\n\nData type: Boolean\n\nDefault value: false\n\n</td></tr><tr><td>\n\nhome\\_phone\n\n</td><td id=\"contacttable-home_phone-entry\">\n\nContact home phone number.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninternal\\_integration\\_user\n\n</td><td id=\"contacttable-internal_integration_user-entry\">\n\nFlag that indicates whether the contact is an internal integration user.Possible values:\n\n-   true: Internal integration user\n-   false: Other type of user\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nintroduction\n\n</td><td id=\"contacttable-introduction-entry\">\n\nIntroductionData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nlast\\_login\n\n</td><td id=\"contacttable-last_login-entry\">\n\nDate on which the contact last logged into the system.Data type: String \\(Date\\)\n\n</td></tr><tr><td>\n\nlast\\_login\\_device\n\n</td><td id=\"contacttable-last_login_device-entry\">\n\nDevice the consumer used the last time they logged in to the system.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nlast\\_login\\_time\n\n</td><td id=\"contacttable-last_login_time-entry\">\n\nDate and time the contact logged in to the system.Data type: String \\(Date/time\\)\n\n</td></tr><tr><td>\n\nlast\\_name\n\n</td><td id=\"contacttable-last_name-entry\">\n\nContact last name.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\nlast\\_position\\_update\n\n</td><td id=\"contacttable-last_position_update-entry\">\n\nDate and time the last position was updated.Data type: String \\(Date/time\\)\n\n</td></tr><tr><td>\n\nlatitude\n\n</td><td id=\"contacttable-latitude-entry\">\n\nLatitude coordinate of the contact.Data type: Number \\(Floating point\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nldap\\_server\n\n</td><td id=\"contacttable-ldap_server-entry\">\n\nSys\\_id of the LDAP server used by the contact to last log in to the system. Data type: String\n\nTable: LDAP Server \\[ldap\\_server\\_config\\]\n\n</td></tr><tr><td>\n\nlocation\n\n</td><td id=\"contacttable-location-entry\">\n\nSys\\_id of the record that describes the location of the contactData type: String\n\nTable: Location \\[cmn\\_location\\]\n\n</td></tr><tr><td>\n\nlocked\\_out\n\n</td><td id=\"contacttable-locked_out-entry\">\n\nFlag that indicates if the contact is locked-out.Possible values:\n\n-   true: Contact locked-out\n-   false: Contact not locked-out\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nlongitude\n\n</td><td id=\"contacttable-longitude-entry\">\n\nLongitude coordinate of the contact.Data type: Number \\(Floating point\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nmanager\n\n</td><td id=\"contacttable-manager-entry\">\n\nSys\\_id of the record that describes the direct supervisor of the contact.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nmiddle\\_name\n\n</td><td id=\"contacttable-middle_name-entry\">\n\nContact middle name.Data type: Number \\(Floating point\\)\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\nmobile\\_phone\n\n</td><td id=\"contacttable-mobile_phone-entry\">\n\nContact mobile phone number.Data type: String\n\n Maximum length: 40\n\n</td></tr><tr><td>\n\nname\n\n</td><td id=\"contacttable-name-entry\">\n\nContact full name.Data type: String\n\nMaximum length: 151\n\n</td></tr><tr><td>\n\nnotification\n\n</td><td id=\"contacttable-notification-entry\">\n\nIndicates whether the contact should receive notifications.Valid values:\n\n-   1: Disabled\n-   2: Enabled\n\nData type: Number \\(Integer\\)\n\nDefault: 2\n\n</td></tr><tr><td>\n\non\\_schedule\n\n</td><td id=\"contacttable-on_schedule-entry\">\n\nIndicates the timeliness of dispatched service personnel.Valid values:\n\n-   Ahead: Ahead of schedule.\n-   behind\\_less30: Behind schedule, but less than 30 minutes.\n-   behind\\_30to60: Behind schedule between 30 and 60 minutes.\n-   behind\\_more60: Behind schedule more than 60 minutes.\n-   on\\_time: On schedule.\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nphone\n\n</td><td id=\"contacttable-phone-entry\">\n\nContact business phone number.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nphoto\n\n</td><td id=\"contacttable-photo-entry\">\n\nPhoto image of the contact. Data type: String\n\n</td></tr><tr><td>\n\npreferred\\_language\n\n</td><td id=\"contacttable-preferred_language-entry\">\n\nCountry code of the contact primary language.Data type: String\n\nMaximum length: 3\n\n</td></tr><tr><td>\n\nroles\n\n</td><td id=\"contacttable-roles-entry\">\n\nList of user roles associated with the contact.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nschedule\n\n</td><td id=\"contacttable-schedule-entry\">\n\nSys\\_id of the record that describes the work schedule for the associated contact.Data type: String\n\nTable: Schedule \\[cmn\\_schedule\\]\n\n</td></tr><tr><td>\n\nsource\n\n</td><td id=\"contacttable-source-entry\">\n\nSource of the contact.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr><td>\n\nstate\n\n</td><td id=\"contacttable-state-entry\">\n\nState in which the contact resides.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nstreet\n\n</td><td id=\"contacttable-street-entry\">\n\nContact street address.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr><td>\n\nsys\\_class\\_name\n\n</td><td id=\"contacttable-sys_class_name-entry\">\n\nTable that contains the contact record. Data type: String\n\nMaximum length: 80\n\n</td></tr><tr><td>\n\nsys\\_created\\_by\n\n</td><td id=\"contacttable-sys_created_by-entry\">\n\nUser that originally created the associated contact record.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsys\\_created\\_on\n\n</td><td id=\"contacttable-sys_created_on-entry\">\n\nData and time the associated contact was originally created.Data type: String \\(Date/time\\)\n\n</td></tr><tr><td>\n\nsys\\_domain\n\n</td><td id=\"contacttable-sys_domain-entry\">\n\nServiceNow instance domain of the associated contact record.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_domain\\_path\n\n</td><td id=\"contacttable-sys_domain_path-entry\">\n\nContact record domain path.Data type: String\n\nMaximum length: 255\n\nDefault: / \\(global\\)\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td id=\"contacttable-sys_id-entry\">\n\nUnique identifier for the associated contact record.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_mod\\_count\n\n</td><td id=\"contacttable-sys_mod_count-entry\">\n\nNumber of times that the associated contact record has been modified.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nsys\\_tags\n\n</td><td>\n\nSystem tags.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_by\n\n</td><td id=\"contacttable-sys_updated_by-entry\">\n\nUser that last updated the associated contact information.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on\n\n</td><td id=\"contacttable-sys_updated_on-entry\">\n\nData and time the associated contact information was updated.Data type: String \\(Date/time\\)\n\n</td></tr><tr><td>\n\ntime\\_format\n\n</td><td id=\"contacttable-time_format-entry\">\n\nFormat in which to display time.Valid values:\n\n-   hh.mm.ss a: hh.mm.ss \\(12 hour\\)\n-   hh:mm:ss a: hh:mm:ss \\(12 hour\\)\n-   HH.mm.ss: hh.mm.ss \\(24 hour\\)\n-   HH:mm:ss: hh:mm:ss \\(24 hour\\)\n\nData type: String\n\nMaximum length: 40\n\nDefault: Blank \\(system time format\\)\n\n</td></tr><tr><td>\n\ntime\\_sheet\\_policy\n\n</td><td id=\"contacttable-time_sheet_policy-entry\">\n\nSys\\_id of the record that contains the time sheet policy for the associated contact.Data type: String\n\nTable: Time Sheet Policy \\[time\\_sheet\\_policy\\]\n\n</td></tr><tr><td>\n\ntime\\_zone\n\n</td><td id=\"contacttable-time_zone-entry\">\n\nTime zone in which the contact resides, such as Canada/Central or US/Eastern.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td id=\"contacttable-title-entry\">\n\nContact business title such as Manager, Software Developer, or Contractor.Data type: String\n\nMaximum length: 60\n\n</td></tr><tr><td>\n\nuser\\_name\n\n</td><td id=\"contacttable-user_name-entry\">\n\nContact user ID.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nvip\n\n</td><td id=\"contacttable-vip-entry\">\n\nFlag that indicates whether the associated contact has VIP status.Possible values:\n\n-   true: VIP\n-   false: Not VIP\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nweb\\_service\\_access\\_only\n\n</td><td id=\"contacttable-web_service_access_only-entry\">\n\nFlag that indicates whether the contact can only access services through the web.Possible values:\n\n-   true: Web access only\n-   false: Access through all available methods\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nzip\n\n</td><td id=\"contacttable-zip-entry\">\n\nContact zip code.Data type: String\n\nMaximum length: 40\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/now/contact?sysparm_query=account=86837a386f0331003b3c498f5d3ee4ca&sysparm_limit=2&sysparm_offset=2>;rel=\"next\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n\n```\n\n```\n{\n  \"result\": [\n    {\n      \"country\": \"\",\n      \"calendar_integration\": \"1\",\n      \"last_position_update\": \"\",\n      \"last_login_time\": \"2018-03-10 21:48:11\",\n      \"last_login_device\": \"\",\n      \"source\": \"\",\n      \"sys_updated_on\": \"2019-01-03 05:49:34\",\n      \"building\": \"\",\n      \"web_service_access_only\": \"false\",\n      \"notification\": \"2\",\n      \"sys_updated_by\": \"system\",\n      \"enable_multifactor_authn\": \"false\",\n      \"sys_created_on\": \"2018-03-04 20:26:32\",\n      \"sys_domain\": \"global\",\n      \"agent_status\": \"\",\n      \"state\": \"\",\n      \"vip\": \"false\",\n      \"sys_created_by\": \"admin\",\n      \"longitude\": \"\",\n      \"zip\": \"\",\n      \"home_phone\": \"\",\n      \"time_format\": \"\",\n      \"last_login\": \"\",\n      \"default_perspective\": \"\",\n      \"geolocation_tracked\": \"false\",\n      \"active\": \"true\",\n      \"time_sheet_policy\": \"\",\n      \"sys_domain_path\": \"/\",\n      \"phone\": \"+1 858 287 7834\",\n      \"cost_center\": \"\",\n      \"name\": \"George Warren\",\n      \"employee_number\": \"\",\n      \"gender\": \"\",\n      \"city\": \"\",\n      \"user_name\": \"george.warren\",\n      \"failed_attempts\": \"\",\n      \"edu_status\": \"\",\n      \"latitude\": \"\",\n      \"roles\": \"\",\n      \"title\": \"Network Administrator\",\n      \"sys_class_name\": \"customer_contact\",\n      \"sys_id\": \"ddce70866f9331003b3c498f5d3ee417\",\n      \"internal_integration_user\": \"false\",\n      \"ldap_server\": \"\",\n      \"mobile_phone\": \"+1 858 867 7857\",\n      \"street\": \"\",\n      \"company\": \"86837a386f0331003b3c498f5d3ee4ca\",\n      \"department\": \"\",\n      \"first_name\": \"George\",\n      \"preferred_language\": \"\",\n      \"introduction\": \"\",\n      \"email\": \"geo.warren@mailinator.com\",\n      \"manager\": \"\",\n      \"locked_out\": \"false\",\n      \"sys_mod_count\": \"3\",\n      \"last_name\": \"Warren\",\n      \"photo\": \"\",\n      \"sys_tags\": \"\",\n      \"middle_name\": \"\",\n      \"time_zone\": \"\",\n      \"schedule\": \"\",\n      \"on_schedule\": \"\",\n      \"date_format\": \"\",\n      \"location\": \"25ab8e460a0a0bb300857304ff811af5\",\n      \"account\": \"86837a386f0331003b3c498f5d3ee4ca\"\n    },\n    {\n      \"country\": \"\",\n      \"calendar_integration\": \"1\",\n      \"last_position_update\": \"\",\n      \"last_login_time\": \"2019-01-03 15:08:57\",\n      \"last_login_device\": \"73.71.157.241\",\n      \"source\": \"\",\n      \"sys_updated_on\": \"2019-01-03 23:26:12\",\n      \"building\": \"\",\n      \"web_service_access_only\": \"false\",\n      \"notification\": \"2\",\n      \"sys_updated_by\": \"admin\",\n      \"enable_multifactor_authn\": \"false\",\n      \"sys_created_on\": \"2019-01-03 15:07:25\",\n      \"sys_domain\": \"global\",\n      \"agent_status\": \"\",\n      \"state\": \"\",\n      \"vip\": \"false\",\n      \"sys_created_by\": \"carl.customer\",\n      \"longitude\": \"\",\n      \"zip\": \"\",\n      \"home_phone\": \"\",\n      \"time_format\": \"\",\n      \"last_login\": \"\",\n      \"default_perspective\": \"\",\n      \"geolocation_tracked\": \"false\",\n      \"active\": \"true\",\n      \"time_sheet_policy\": \"\",\n      \"sys_domain_path\": \"/\",\n      \"phone\": \"+16692627777\",\n      \"cost_center\": \"\",\n      \"name\": \"Jane Contact\",\n      \"employee_number\": \"\",\n      \"gender\": \"\",\n      \"city\": \"\",\n      \"user_name\": \"Jane.Contact\",\n      \"failed_attempts\": \"\",\n      \"edu_status\": \"faculty\",\n      \"latitude\": \"\",\n      \"roles\": \"\",\n      \"title\": \"\",\n      \"sys_class_name\": \"customer_contact\",\n      \"sys_id\": \"0a232a0013691200042ab3173244b075\",\n      \"internal_integration_user\": \"false\",\n      \"ldap_server\": \"\",\n      \"mobile_phone\": \"\",\n      \"street\": \"\",\n      \"company\": \"86837a386f0331003b3c498f5d3ee4ca\",\n      \"department\": \"\",\n      \"first_name\": \"Jane\",\n      \"preferred_language\": \"\",\n      \"introduction\": \"\",\n      \"email\": \"jane.contact@mailinator.com\",\n      \"manager\": \"\",\n      \"locked_out\": \"false\",\n      \"sys_mod_count\": \"3\",\n      \"last_name\": \"Contact\",\n      \"photo\": \"\",\n      \"sys_tags\": \"\",\n      \"middle_name\": \"\",\n      \"time_zone\": \"\",\n      \"schedule\": \"\",\n      \"on_schedule\": \"\",\n      \"date_format\": \"\",\n      \"location\": \"\",\n      \"account\": \"86837a386f0331003b3c498f5d3ee4ca\"\n    }\n  ]\n}\n```\n\n## Contact - GET /now/contact/\\{id\\}\n\nRetrieves the specified Customer Service Management \\(CSM\\) contact.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/contact/{id}`\n\nDefault URL: `/api/now/contact/{id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the contact to retrieve.Data type: String\n\nTable: Contact \\[customer\\_contact\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"entry-200-status-code\">\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n404\n\n</td><td>\n\nIndicates that the request is invalid. Could be due to one of the following reasons:-   Requested case doesn't exist.\n-   User doesn't have access to the case.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\nThe endpoint may return the following JSON or XML elements in the response body. In addition to the list of elements defined below \\(which define the elements in a base system\\), the endpoint also returns any custom fields added to the Contact \\[customer\\_contact\\] table. For additional information on these elements, refer to your specific table definition \\[**System Definition** &gt; **Tables**\\].\n\n<table><thead><tr><th>\n\nElement\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naccount\n\n</td><td id=\"contacttable-account-enrty\">\n\nSys\\_id of the account record to which the contact is associated.Data type: String\n\nTable: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\nactive\n\n</td><td id=\"contacttable-active-entry\">\n\nFlag that indicates whether the contact is active within the system.Possible values:\n\n-   true: Contact is active\n-   false: Contact is inactive\n\nData type: Boolean\n\nDefault: true\n\n</td></tr><tr><td>\n\nagent\\_status\n\n</td><td id=\"contacttable-agent_status-entry\">\n\nStatus of the agent.Possible values:\n\n-   Off work\n-   On break\n-   On route\n-   On site\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nbuilding\n\n</td><td id=\"contacttable-building-entry\">\n\nSys\\_id of the record that describes the building in which the contact resides.Data type: String\n\nTable: Building \\[cmn\\_building\\]\n\n</td></tr><tr><td>\n\ncalendar\\_integration\n\n</td><td id=\"contacttable-calendar_integration-entry\">\n\nCalendar application that the contact uses.1: Outlook\n\nData type: Number \\(Integer\\)\n\nDefault: 1\n\n</td></tr><tr><td>\n\ncity\n\n</td><td id=\"contacttable-city-entry\">\n\nCity in which the contact resides.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncompany\n\n</td><td id=\"contacttable-company-entry\">\n\nSys\\_id of the company record to which the contact is associated.Data type: String\n\nTable: Company \\[core\\_company\\]\n\n</td></tr><tr><td>\n\ncost\\_center\n\n</td><td id=\"contacttable-cost_center-entry\">\n\nSys\\_id of the cost center associated with the contact.Data type: String\n\nTable: Cost Center \\[cmn\\_cost\\_center\\]\n\n</td></tr><tr><td>\n\ncountry\n\n</td><td id=\"contacttable-country-entry\">\n\nCountry code of the country in which the contact resides.Data type: String\n\nMaximum length: 3\n\n</td></tr><tr><td>\n\ndate\\_format\n\n</td><td id=\"contacttable-date_format-entry\">\n\nFormat in which to display dates to contacts.Valid values:\n\n-   dd/mm/yyyy\n-   dd-mm-yyyy\n-   dd.mm.yyyy\n-   mm-dd-yyyy\n-   yyyy-mm-dd\n\nData type: String\n\nMaximum length: 40\n\nDefault: blank \\(system date format\\)\n\n</td></tr><tr><td>\n\ndefault\\_perspective\n\n</td><td id=\"contacttable-default_perspective-entry\">\n\nSys\\_id of the default perspective for the contact.Data type: String\n\nTable: Menu List \\[sys\\_perspective\\]\n\n</td></tr><tr><td>\n\ndepartment\n\n</td><td id=\"contacttable-department-entry\">\n\nSys\\_id of the department associated with the contact.Data type: String\n\nTable: Department \\[cmn\\_department\\]\n\n</td></tr><tr><td>\n\nedu\\_status\n\n</td><td id=\"contacttable-edu_status-entry\">\n\nEducation status of the associated contact.Data type: String\n\nMaximum length: 40\n\nDefault: faculty\n\n</td></tr><tr><td>\n\nemail\n\n</td><td id=\"contacttable-email-entry\">\n\nContact email address.Data type: String\n\n</td></tr><tr><td>\n\nemployee\\_number\n\n</td><td id=\"contacttable-employee_number-entry\">\n\nContact employee number.Data type: String\n\n</td></tr><tr><td>\n\nenable\\_multifactor\\_authn\n\n</td><td id=\"contacttable-enable_multifactor_authn-entry\">\n\nFlag that indicates whether multifactor authorization is required for the contact to log in to the service portal.Possible values:\n\n-   true: Multifactor authorization enabled\n-   false: Multifactor authorization disabled\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nfailed\\_attempts\n\n</td><td id=\"contacttable-failed_attempts-entry\">\n\nNumber of failed log in attempts.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nfirst\\_name\n\n</td><td id=\"contacttable-first_name-entry\">\n\nContact first name.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\ngender\n\n</td><td id=\"contacttable-gender-entry\">\n\nContact gender.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ngeolocation\\_tracked\n\n</td><td id=\"contacttable-geolocation_tracked-entry\">\n\nFlag that indicates whether the contact location is obtained through geotracking.Possible values:\n\n-   true: Contact location obtained through geotracking\n-   false: Contact location not obtained through geotracking\n\nData type: Boolean\n\nDefault value: false\n\n</td></tr><tr><td>\n\nhome\\_phone\n\n</td><td id=\"contacttable-home_phone-entry\">\n\nContact home phone number.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninternal\\_integration\\_user\n\n</td><td id=\"contacttable-internal_integration_user-entry\">\n\nFlag that indicates whether the contact is an internal integration user.Possible values:\n\n-   true: Internal integration user\n-   false: Other type of user\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nintroduction\n\n</td><td id=\"contacttable-introduction-entry\">\n\nIntroductionData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nlast\\_login\n\n</td><td id=\"contacttable-last_login-entry\">\n\nDate on which the contact last logged into the system.Data type: String \\(Date\\)\n\n</td></tr><tr><td>\n\nlast\\_login\\_device\n\n</td><td id=\"contacttable-last_login_device-entry\">\n\nDevice the consumer used the last time they logged in to the system.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nlast\\_login\\_time\n\n</td><td id=\"contacttable-last_login_time-entry\">\n\nDate and time the contact logged in to the system.Data type: String \\(Date/time\\)\n\n</td></tr><tr><td>\n\nlast\\_name\n\n</td><td id=\"contacttable-last_name-entry\">\n\nContact last name.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\nlast\\_position\\_update\n\n</td><td id=\"contacttable-last_position_update-entry\">\n\nDate and time the last position was updated.Data type: String \\(Date/time\\)\n\n</td></tr><tr><td>\n\nlatitude\n\n</td><td id=\"contacttable-latitude-entry\">\n\nLatitude coordinate of the contact.Data type: Number \\(Floating point\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nldap\\_server\n\n</td><td id=\"contacttable-ldap_server-entry\">\n\nSys\\_id of the LDAP server used by the contact to last log in to the system. Data type: String\n\nTable: LDAP Server \\[ldap\\_server\\_config\\]\n\n</td></tr><tr><td>\n\nlocation\n\n</td><td id=\"contacttable-location-entry\">\n\nSys\\_id of the record that describes the location of the contactData type: String\n\nTable: Location \\[cmn\\_location\\]\n\n</td></tr><tr><td>\n\nlocked\\_out\n\n</td><td id=\"contacttable-locked_out-entry\">\n\nFlag that indicates if the contact is locked-out.Possible values:\n\n-   true: Contact locked-out\n-   false: Contact not locked-out\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nlongitude\n\n</td><td id=\"contacttable-longitude-entry\">\n\nLongitude coordinate of the contact.Data type: Number \\(Floating point\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nmanager\n\n</td><td id=\"contacttable-manager-entry\">\n\nSys\\_id of the record that describes the direct supervisor of the contact.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nmiddle\\_name\n\n</td><td id=\"contacttable-middle_name-entry\">\n\nContact middle name.Data type: Number \\(Floating point\\)\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\nmobile\\_phone\n\n</td><td id=\"contacttable-mobile_phone-entry\">\n\nContact mobile phone number.Data type: String\n\n Maximum length: 40\n\n</td></tr><tr><td>\n\nname\n\n</td><td id=\"contacttable-name-entry\">\n\nContact full name.Data type: String\n\nMaximum length: 151\n\n</td></tr><tr><td>\n\nnotification\n\n</td><td id=\"contacttable-notification-entry\">\n\nIndicates whether the contact should receive notifications.Valid values:\n\n-   1: Disabled\n-   2: Enabled\n\nData type: Number \\(Integer\\)\n\nDefault: 2\n\n</td></tr><tr><td>\n\non\\_schedule\n\n</td><td id=\"contacttable-on_schedule-entry\">\n\nIndicates the timeliness of dispatched service personnel.Valid values:\n\n-   Ahead: Ahead of schedule.\n-   behind\\_less30: Behind schedule, but less than 30 minutes.\n-   behind\\_30to60: Behind schedule between 30 and 60 minutes.\n-   behind\\_more60: Behind schedule more than 60 minutes.\n-   on\\_time: On schedule.\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nphone\n\n</td><td id=\"contacttable-phone-entry\">\n\nContact business phone number.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nphoto\n\n</td><td id=\"contacttable-photo-entry\">\n\nPhoto image of the contact. Data type: String\n\n</td></tr><tr><td>\n\npreferred\\_language\n\n</td><td id=\"contacttable-preferred_language-entry\">\n\nCountry code of the contact primary language.Data type: String\n\nMaximum length: 3\n\n</td></tr><tr><td>\n\nroles\n\n</td><td id=\"contacttable-roles-entry\">\n\nList of user roles associated with the contact.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nschedule\n\n</td><td id=\"contacttable-schedule-entry\">\n\nSys\\_id of the record that describes the work schedule for the associated contact.Data type: String\n\nTable: Schedule \\[cmn\\_schedule\\]\n\n</td></tr><tr><td>\n\nsource\n\n</td><td id=\"contacttable-source-entry\">\n\nSource of the contact.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr><td>\n\nstate\n\n</td><td id=\"contacttable-state-entry\">\n\nState in which the contact resides.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nstreet\n\n</td><td id=\"contacttable-street-entry\">\n\nContact street address.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr><td>\n\nsys\\_class\\_name\n\n</td><td id=\"contacttable-sys_class_name-entry\">\n\nTable that contains the contact record. Data type: String\n\nMaximum length: 80\n\n</td></tr><tr><td>\n\nsys\\_created\\_by\n\n</td><td id=\"contacttable-sys_created_by-entry\">\n\nUser that originally created the associated contact record.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsys\\_created\\_on\n\n</td><td id=\"contacttable-sys_created_on-entry\">\n\nData and time the associated contact was originally created.Data type: String \\(Date/time\\)\n\n</td></tr><tr><td>\n\nsys\\_domain\n\n</td><td id=\"contacttable-sys_domain-entry\">\n\nServiceNow instance domain of the associated contact record.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_domain\\_path\n\n</td><td id=\"contacttable-sys_domain_path-entry\">\n\nContact record domain path.Data type: String\n\nMaximum length: 255\n\nDefault: / \\(global\\)\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td id=\"contacttable-sys_id-entry\">\n\nUnique identifier for the associated contact record.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_mod\\_count\n\n</td><td id=\"contacttable-sys_mod_count-entry\">\n\nNumber of times that the associated contact record has been modified.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nsys\\_updated\\_by\n\n</td><td id=\"contacttable-sys_updated_by-entry\">\n\nUser that last updated the associated contact information.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on\n\n</td><td id=\"contacttable-sys_updated_on-entry\">\n\nData and time the associated contact information was updated.Data type: String \\(Date/time\\)\n\n</td></tr><tr><td>\n\ntime\\_format\n\n</td><td id=\"contacttable-time_format-entry\">\n\nFormat in which to display time.Valid values:\n\n-   hh.mm.ss a: hh.mm.ss \\(12 hour\\)\n-   hh:mm:ss a: hh:mm:ss \\(12 hour\\)\n-   HH.mm.ss: hh.mm.ss \\(24 hour\\)\n-   HH:mm:ss: hh:mm:ss \\(24 hour\\)\n\nData type: String\n\nMaximum length: 40\n\nDefault: Blank \\(system time format\\)\n\n</td></tr><tr><td>\n\ntime\\_sheet\\_policy\n\n</td><td id=\"contacttable-time_sheet_policy-entry\">\n\nSys\\_id of the record that contains the time sheet policy for the associated contact.Data type: String\n\nTable: Time Sheet Policy \\[time\\_sheet\\_policy\\]\n\n</td></tr><tr><td>\n\ntime\\_zone\n\n</td><td id=\"contacttable-time_zone-entry\">\n\nTime zone in which the contact resides, such as Canada/Central or US/Eastern.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td id=\"contacttable-title-entry\">\n\nContact business title such as Manager, Software Developer, or Contractor.Data type: String\n\nMaximum length: 60\n\n</td></tr><tr><td>\n\nuser\\_name\n\n</td><td id=\"contacttable-user_name-entry\">\n\nContact user ID.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nvip\n\n</td><td id=\"contacttable-vip-entry\">\n\nFlag that indicates whether the associated contact has VIP status.Possible values:\n\n-   true: VIP\n-   false: Not VIP\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nweb\\_service\\_access\\_only\n\n</td><td id=\"contacttable-web_service_access_only-entry\">\n\nFlag that indicates whether the contact can only access services through the web.Possible values:\n\n-   true: Web access only\n-   false: Access through all available methods\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nzip\n\n</td><td id=\"contacttable-zip-entry\">\n\nContact zip code.Data type: String\n\nMaximum length: 40\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/now/contact/ddce70866f9331003b3c498f5d3ee417 \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n\n```\n\n```\n{\n  \"result\": {\n    \"country\": \"\",\n    \"calendar_integration\": \"1\",\n    \"last_position_update\": \"\",\n    \"last_login_time\": \"2018-03-10 21:48:11\",\n    \"last_login_device\": \"\",\n    \"source\": \"\",\n    \"sys_updated_on\": \"2019-01-03 05:49:34\",\n    \"building\": \"\",\n    \"web_service_access_only\": \"false\",\n    \"notification\": \"2\",\n    \"sys_updated_by\": \"system\",\n    \"enable_multifactor_authn\": \"false\",\n    \"sys_created_on\": \"2018-03-04 20:26:32\",\n    \"sys_domain\": \"global\",\n    \"agent_status\": \"\",\n    \"state\": \"\",\n    \"vip\": \"false\",\n    \"sys_created_by\": \"admin\",\n    \"longitude\": \"\",\n    \"zip\": \"\",\n    \"home_phone\": \"\",\n    \"time_format\": \"\",\n    \"last_login\": \"\",\n    \"default_perspective\": \"\",\n    \"geolocation_tracked\": \"false\",\n    \"active\": \"true\",\n    \"time_sheet_policy\": \"\",\n    \"sys_domain_path\": \"/\",\n    \"phone\": \"+1 858 287 7834\",\n    \"cost_center\": \"\",\n    \"name\": \"George Warren\",\n    \"employee_number\": \"\",\n    \"gender\": \"\",\n    \"city\": \"\",\n    \"user_name\": \"george.warren\",\n    \"failed_attempts\": \"\",\n    \"edu_status\": \"\",\n    \"latitude\": \"\",\n    \"roles\": \"\",\n    \"title\": \"Network Administrator\",\n    \"sys_class_name\": \"customer_contact\",\n    \"sys_id\": \"ddce70866f9331003b3c498f5d3ee417\",\n    \"internal_integration_user\": \"false\",\n    \"ldap_server\": \"\",\n    \"mobile_phone\": \"+1 858 867 7857\",\n    \"street\": \"\",\n    \"company\": \"86837a386f0331003b3c498f5d3ee4ca\",\n    \"department\": \"\",\n    \"first_name\": \"George\",\n    \"preferred_language\": \"\",\n    \"introduction\": \"\",\n    \"email\": \"geo.warren@mailinator.com\",\n    \"manager\": \"\",\n    \"locked_out\": \"false\",\n    \"sys_mod_count\": \"3\",\n    \"last_name\": \"Warren\",\n    \"photo\": \"\",\n    \"sys_tags\": \"\",\n    \"middle_name\": \"\",\n    \"time_zone\": \"\",\n    \"schedule\": \"\",\n    \"on_schedule\": \"\",\n    \"date_format\": \"\",\n    \"location\": \"25ab8e460a0a0bb300857304ff811af5\",\n    \"account\": \"86837a386f0331003b3c498f5d3ee4ca\"\n  }\n}\n\n```\n\n## Contact - POST /now/contact\n\nCreates a new Customer Service Management \\(CSM\\) contact.\n\nIn addition, you can create a social media profile for the contact using this endpoint. To create the profile, you must specify the following parameters in the request body:\n\n-   **social\\_channel**\n-   **social\\_handle**\n-   **social\\_handle\\_url**\n\n**Warning:** This endpoint does not perform parameter validation as doing so can create excessive overhead. If a request parameter is misspelled, is not valid, or is not supported by the endpoint, it is ignored without warning.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/contact`\n\nDefault URL: `/api/now/contact`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nElement\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naccount\n\n</td><td id=\"contacttable-account-enrty\">\n\nSys\\_id of the account record to which the contact is associated.Data type: String\n\nTable: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\nactive\n\n</td><td id=\"contacttable-active-entry\">\n\nFlag that indicates whether the contact is active within the system.Possible values:\n\n-   true: Contact is active\n-   false: Contact is inactive\n\nData type: Boolean\n\nDefault: true\n\n</td></tr><tr><td>\n\nagent\\_status\n\n</td><td id=\"contacttable-agent_status-entry\">\n\nStatus of the agent.Possible values:\n\n-   Off work\n-   On break\n-   On route\n-   On site\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nbuilding\n\n</td><td id=\"contacttable-building-entry\">\n\nSys\\_id of the record that describes the building in which the contact resides.Data type: String\n\nTable: Building \\[cmn\\_building\\]\n\n</td></tr><tr><td>\n\ncalendar\\_integration\n\n</td><td id=\"contacttable-calendar_integration-entry\">\n\nCalendar application that the contact uses.1: Outlook\n\nData type: Number \\(Integer\\)\n\nDefault: 1\n\n</td></tr><tr><td>\n\ncity\n\n</td><td id=\"contacttable-city-entry\">\n\nCity in which the contact resides.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncompany\n\n</td><td id=\"contacttable-company-entry\">\n\nSys\\_id of the company record to which the contact is associated.Data type: String\n\nTable: Company \\[core\\_company\\]\n\n</td></tr><tr><td>\n\ncost\\_center\n\n</td><td id=\"contacttable-cost_center-entry\">\n\nSys\\_id of the cost center associated with the contact.Data type: String\n\nTable: Cost Center \\[cmn\\_cost\\_center\\]\n\n</td></tr><tr><td>\n\ncountry\n\n</td><td id=\"contacttable-country-entry\">\n\nCountry code of the country in which the contact resides.Data type: String\n\nMaximum length: 3\n\n</td></tr><tr><td>\n\ndate\\_format\n\n</td><td id=\"contacttable-date_format-entry\">\n\nFormat in which to display dates to contacts.Valid values:\n\n-   dd/mm/yyyy\n-   dd-mm-yyyy\n-   dd.mm.yyyy\n-   mm-dd-yyyy\n-   yyyy-mm-dd\n\nData type: String\n\nMaximum length: 40\n\nDefault: blank \\(system date format\\)\n\n</td></tr><tr><td>\n\ndefault\\_perspective\n\n</td><td id=\"contacttable-default_perspective-entry\">\n\nSys\\_id of the default perspective for the contact.Data type: String\n\nTable: Menu List \\[sys\\_perspective\\]\n\n</td></tr><tr><td>\n\ndepartment\n\n</td><td id=\"contacttable-department-entry\">\n\nSys\\_id of the department associated with the contact.Data type: String\n\nTable: Department \\[cmn\\_department\\]\n\n</td></tr><tr><td>\n\nedu\\_status\n\n</td><td id=\"contacttable-edu_status-entry\">\n\nEducation status of the associated contact.Data type: String\n\nMaximum length: 40\n\nDefault: faculty\n\n</td></tr><tr><td>\n\nemail\n\n</td><td id=\"contacttable-email-entry\">\n\nContact email address.Data type: String\n\n</td></tr><tr><td>\n\nemployee\\_number\n\n</td><td id=\"contacttable-employee_number-entry\">\n\nContact employee number.Data type: String\n\n</td></tr><tr><td>\n\nenable\\_multifactor\\_authn\n\n</td><td id=\"contacttable-enable_multifactor_authn-entry\">\n\nFlag that indicates whether multifactor authorization is required for the contact to log in to the service portal.Possible values:\n\n-   true: Multifactor authorization enabled\n-   false: Multifactor authorization disabled\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nfailed\\_attempts\n\n</td><td id=\"contacttable-failed_attempts-entry\">\n\nNumber of failed log in attempts.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nfirst\\_name\n\n</td><td id=\"contacttable-first_name-entry\">\n\nContact first name.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\ngender\n\n</td><td id=\"contacttable-gender-entry\">\n\nContact gender.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ngeolocation\\_tracked\n\n</td><td id=\"contacttable-geolocation_tracked-entry\">\n\nFlag that indicates whether the contact location is obtained through geotracking.Possible values:\n\n-   true: Contact location obtained through geotracking\n-   false: Contact location not obtained through geotracking\n\nData type: Boolean\n\nDefault value: false\n\n</td></tr><tr><td>\n\nhome\\_phone\n\n</td><td id=\"contacttable-home_phone-entry\">\n\nContact home phone number.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninternal\\_integration\\_user\n\n</td><td id=\"contacttable-internal_integration_user-entry\">\n\nFlag that indicates whether the contact is an internal integration user.Possible values:\n\n-   true: Internal integration user\n-   false: Other type of user\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nintroduction\n\n</td><td id=\"contacttable-introduction-entry\">\n\nIntroductionData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nlast\\_login\\_device\n\n</td><td id=\"contacttable-last_login_device-entry\">\n\nDevice the consumer used the last time they logged in to the system.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nlast\\_login\\_time\n\n</td><td id=\"contacttable-last_login_time-entry\">\n\nDate and time the contact logged in to the system.Data type: String \\(Date/time\\)\n\n</td></tr><tr><td>\n\nlast\\_name\n\n</td><td id=\"contacttable-last_name-entry\">\n\nContact last name.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\nlatitude\n\n</td><td id=\"contacttable-latitude-entry\">\n\nLatitude coordinate of the contact.Data type: Number \\(Floating point\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nldap\\_server\n\n</td><td id=\"contacttable-ldap_server-entry\">\n\nSys\\_id of the LDAP server used by the contact to last log in to the system. Data type: String\n\nTable: LDAP Server \\[ldap\\_server\\_config\\]\n\n</td></tr><tr><td>\n\nlocation\n\n</td><td id=\"contacttable-location-entry\">\n\nSys\\_id of the record that describes the location of the contactData type: String\n\nTable: Location \\[cmn\\_location\\]\n\n</td></tr><tr><td>\n\nlocked\\_out\n\n</td><td id=\"contacttable-locked_out-entry\">\n\nFlag that indicates if the contact is locked-out.Possible values:\n\n-   true: Contact locked-out\n-   false: Contact not locked-out\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nlongitude\n\n</td><td id=\"contacttable-longitude-entry\">\n\nLongitude coordinate of the contact.Data type: Number \\(Floating point\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nmanager\n\n</td><td id=\"contacttable-manager-entry\">\n\nSys\\_id of the record that describes the direct supervisor of the contact.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nmiddle\\_name\n\n</td><td id=\"contacttable-middle_name-entry\">\n\nContact middle name.Data type: Number \\(Floating point\\)\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\nmobile\\_phone\n\n</td><td id=\"contacttable-mobile_phone-entry\">\n\nContact mobile phone number.Data type: String\n\n Maximum length: 40\n\n</td></tr><tr><td>\n\nname\n\n</td><td id=\"contacttable-name-entry\">\n\nContact full name.Data type: String\n\nMaximum length: 151\n\n</td></tr><tr><td>\n\nnotification\n\n</td><td id=\"contacttable-notification-entry\">\n\nIndicates whether the contact should receive notifications.Valid values:\n\n-   1: Disabled\n-   2: Enabled\n\nData type: Number \\(Integer\\)\n\nDefault: 2\n\n</td></tr><tr><td>\n\non\\_schedule\n\n</td><td id=\"contacttable-on_schedule-entry\">\n\nIndicates the timeliness of dispatched service personnel.Valid values:\n\n-   Ahead: Ahead of schedule.\n-   behind\\_less30: Behind schedule, but less than 30 minutes.\n-   behind\\_30to60: Behind schedule between 30 and 60 minutes.\n-   behind\\_more60: Behind schedule more than 60 minutes.\n-   on\\_time: On schedule.\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nphone\n\n</td><td id=\"contacttable-phone-entry\">\n\nContact business phone number.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nphoto\n\n</td><td id=\"contacttable-photo-entry\">\n\nPhoto image of the contact. Data type: String\n\n</td></tr><tr><td>\n\npreferred\\_language\n\n</td><td id=\"contacttable-preferred_language-entry\">\n\nCountry code of the contact primary language.Data type: String\n\nMaximum length: 3\n\n</td></tr><tr><td>\n\nroles\n\n</td><td id=\"contacttable-roles-entry\">\n\nList of user roles associated with the contact.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nschedule\n\n</td><td id=\"contacttable-schedule-entry\">\n\nSys\\_id of the record that describes the work schedule for the associated contact.Data type: String\n\nTable: Schedule \\[cmn\\_schedule\\]\n\n</td></tr><tr><td>\n\nsocial\\_channel\n\n</td><td>\n\nSocial media channel to which the contact is associated such as Twitter, Facebook, or Instagram.Data type: String\n\n</td></tr><tr><td>\n\nsocial\\_handle\n\n</td><td>\n\nUser handle on the social media channel.Data type: String\n\n</td></tr><tr><td>\n\nsocial\\_handle\\_url\n\n</td><td>\n\nURL to the contact's social channel profile.Data type: String\n\n</td></tr><tr><td>\n\nsource\n\n</td><td id=\"contacttable-source-entry\">\n\nSource of the contact.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr><td>\n\nstate\n\n</td><td id=\"contacttable-state-entry\">\n\nState in which the contact resides.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nstreet\n\n</td><td id=\"contacttable-street-entry\">\n\nContact street address.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr><td>\n\ntime\\_format\n\n</td><td id=\"contacttable-time_format-entry\">\n\nFormat in which to display time.Valid values:\n\n-   hh.mm.ss a: hh.mm.ss \\(12 hour\\)\n-   hh:mm:ss a: hh:mm:ss \\(12 hour\\)\n-   HH.mm.ss: hh.mm.ss \\(24 hour\\)\n-   HH:mm:ss: hh:mm:ss \\(24 hour\\)\n\nData type: String\n\nMaximum length: 40\n\nDefault: Blank \\(system time format\\)\n\n</td></tr><tr><td>\n\ntime\\_sheet\\_policy\n\n</td><td id=\"contacttable-time_sheet_policy-entry\">\n\nSys\\_id of the record that contains the time sheet policy for the associated contact.Data type: String\n\nTable: Time Sheet Policy \\[time\\_sheet\\_policy\\]\n\n</td></tr><tr><td>\n\ntime\\_zone\n\n</td><td id=\"contacttable-time_zone-entry\">\n\nTime zone in which the contact resides, such as Canada/Central or US/Eastern.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td id=\"contacttable-title-entry\">\n\nContact business title such as Manager, Software Developer, or Contractor.Data type: String\n\nMaximum length: 60\n\n</td></tr><tr><td>\n\nuser\\_name\n\n</td><td id=\"contacttable-user_name-entry\">\n\nContact user ID.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nvip\n\n</td><td id=\"contacttable-vip-entry\">\n\nFlag that indicates whether the associated contact has VIP status.Possible values:\n\n-   true: VIP\n-   false: Not VIP\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nweb\\_service\\_access\\_only\n\n</td><td id=\"contacttable-web_service_access_only-entry\">\n\nFlag that indicates whether the contact can only access services through the web.Possible values:\n\n-   true: Web access only\n-   false: Access through all available methods\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nzip\n\n</td><td id=\"contacttable-zip-entry\">\n\nContact zip code.Data type: String\n\nMaximum length: 40\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|201|New contact record was successfully created.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal Server Error. A logic error on the server-side code occurred.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nElement\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nSys\\_id of the newly created contact record.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl -X POST \"https://instance.servicenow.com/api/now/contact\" \\\n-H 'Accept: application/json' \\\n-H 'Content-Type: application/json' \\\n-d '{ \\\n  \"country\": \"USA\", \\\n  \"calendar_integration\": \"1\", \\\n  \"last_login_time\": \"2018-03-10 21:48:11\", \\\n  \"last_login_device\": \"tablet\", \\\n  \"building\": \"Cardinal West\", \\\n  \"web_service_access_only\": \"false\", \\\n  \"notification\": \"1\", \\\n  \"enable_multifactor_authn\": \"true\", \\\n  \"agent_status\": \"Travelling\", \\\n  \"state\": \"CA\", \\\n  \"vip\": \"false\", \\\n  \"longitude\": \"123.76\", \\\n  \"zip\": \"92069\", \\\n  \"home_phone\": \"(555)555-1234\", \\\n  \"time_format\": \"hh:mm:ss\", \\\n  \"geolocation_tracked\": \"false\", \\\n  \"active\": \"true\", \\\n  \"phone\": \"+1 858 287 7834\", \\\n  \"cost_center\": \"1345\", \\\n  \"name\": \"Dora Warren\", \\\n  \"employee_number\": \"546\", \\\n  \"gender\": \"Female\", \\\n  \"city\": \"Orlando\", \\\n  \"user_name\": \"dora.warren\", \\\n  \"failed_attempts\": \"2\", \\\n  \"edu_status\": \"current\", \\\n  \"latitude\": \"57.6\", \\\n  \"title\": \"Network Administrator\", \\\n  \"internal_integration_user\": \"false\", \\\n  \"ldap_server\": \"10.24.23.123\", \\\n  \"mobile_phone\": \"+1 858 867 7857\", \\\n  \"street\": \"123 Lagume\", \\\n  \"company\": \"86837a386f0331003b3c498f5d3ee4ca\", \\\n  \"department\": \"IT\", \\\n  \"first_name\": \"Dora\", \\\n  \"preferred_language\": \"Spanish\", \\\n  \"email\": \"dora.warren@mailinator.com\", \\\n  \"manager\": \"ddce70866f9331003b3c498f5d3ee417\", \\\n  \"locked_out\": \"false\", \\\n  \"last_name\": \"Warren\", \\\n  \"middle_name\": \"Dell\", \\\n  \"time_zone\": \"PST\", \\\n  \"schedule\": \"9-5\", \\\n  \"date_format\": \"MM/DD/YY\", \\\n  \"location\": \"25ab8e460a0a0bb300857304ff811af5\", \\\n  \"account\": \"86837a386f0331003b3c498f5d3ee4ca\" \\\n}'\n--user 'username':'password'\n```\n\n```\n\"result\": \"62fe1c97db76c3006b7a9646db961999\"\n```\n\n"}}